PII Expansion

Read a PII expansion job

Read the persisted job envelope for one PII-expansion run. When the job has completed, the `result` field contains a paginated page of normalized item

GET/v1/pii-expansion/jobs/{job_id}

Requires X-API-Key or Authorization: Bearer with a provisioned API key.

Read the persisted job envelope for one PII-expansion run. When the job has completed, the result field contains a paginated page of normalized items controlled by the limit and cursor query parameters.

Parameters

NameInTypeRequiredDescription
job_idpathstringYes
limitqueryintegerNo
cursorquerystring or nullNo

Responses

200

Persisted job state with an optional paginated result page.

FieldTypeRequiredDescription
capabilityCapabilityYes
completedAtstring or nullNoCompletedat
errorApiError or nullNo
expiresAtstring or nullNoExpiresat
jobIdstringYesJobid
progressJobProgress or nullNo
resultPiiExpansionResult or nullNo
resultUrlstring or nullNoResulturl
startedAtstring or nullNoStartedat
statusJobStatusYes
streamUrlstring or nullNoStreamurl
submittedAtstringYesSubmittedat
summaryJobSummary or nullNo
warningsarray<ApiWarning>NoWarnings

422

Validation Error

FieldTypeRequiredDescription
detailarray<ValidationError>NoDetail

OpenAPI

Download the full OpenAPI contract from /openapi.yaml.